from django.test import TestCase

from vbv_lernwelt.core.models import User
from vbv_lernwelt.core.tests.factories import UserFactory
from vbv_lernwelt.simpletodo.models import SimpleList


class TestUserCreation(TestCase):
    def test_create_user(self):
        User(last_name='Sepp').save()

    def test_simple(self):
        # create_default_learning_path()
        self.user = UserFactory()
        SimpleList.objects.get_or_create(title='Default', user=self.user)
        self.assertTrue(True)
